Subject: bug#32966: tests/install.scm tests all fail

From: Clément Lassieur <[email-masked]>
Date: Thu, 22 Nov 2018 10:12:27 +0100

Ludovic Courtès <[email-masked]> writes:

> Hi Clément,
>
> Clément Lassieur <[email-masked]> skribis:
>
>> For some time after your message, only 8 of those 16 tests seemed to
>> fail.  But now they all fail again[1].
>
> These GuixSD installation tests occasionally fail for several reasons:
>
>   • Sometimes I mess up with ‘guix system’ and the tests catch the
>     regression (e.g., commit a29ce1f97dc8336e5a063f14d98d673b33b4bff4).
>
>   • Sometimes there are missing files in the Guix tarball, which breaks
>     ‘guix’ usage in the installation VM (commit
>     1e5b79e5d0e6629dce838dbb10febad676eea773).
>
>   • Sometimes installing bare-bones takes slightly more than 1G and the
>     tests assume 1G is enough (which is a good thing IMO, because it
>     ensures the image size doesn’t grow unreasonably.)
>
> On this last point I expect we’ll do better when ‘core-updates’ is
> merged because currently on ‘master’ there’s both Guile 2.2.4 and 2.2.3
> in the system closure (the latter coming from the ‘guix’ package).
>
> Overall I think these tests are doing a good job a finding problems.  :-)
>
> The problem is that these issues lead to dependency-failed failures on
> Cuirass/Hydra, and Cuirass currently doesn’t allow you to see which
> dependency failed and to view its build log (I can view that by logging
> in on berlin but that’s obviously suboptimal.)  We should fix Cuirass to
> display that info though I’m not entirely sure how.

https://bugs.gnu.org/32954 I guess.

> Thoughts?

Thank you for the explanation.  So they are different failures.  It's
probably not worth keeping a bug open for them, so I'm closing it again.

Cheers,
Clément